With this script (installfont for MiKTeX; installfont-tl for
TeXLive), you can install a LaTeX font family (Postscript Type1,
Truetype, Opentype). It supports font series from light to 
ultra bold + (faked) small caps + faked slanted, but no expert
fonts. The script will rename the fonts automatically (optinal)
or will otherwise expect *.afm files and the font files (in
Postscript Type1 format!) named in the Karl Berry scheme 
(e.g. 5nar8a.pfb). After running the script, you should
have a working font installation in your local TeX tree.

For this month's (07/2013) free font on www.freefont.de,
simply run

installfont-tl -t otf -f 6sf -n 'Softmaker Stafford Serial'
-c Staffort -P SMFF@Ssf -p stafford -m stafford -O -d 2013/07/15
-v v1.0 -s softmakerfreefont/Stafford

to create and install support files for the usage of Softmaker
Stafford Serial from light to ultra bold font series.

License: LPPL

Changes in v1.7:

- fixed broken TeXLive version installfont-tl
  kpseexpand ... -> kpsewhich --expand-var=...